///////////////////////////////////////////////////////////
// Softwarebauelemente I, Aufgabe M6.2.
//
// author:			Stephan Brumme
// last changes:	December 29, 2000

#ifndef __MDATE_H__
#define __MDATE_H__

// we need the CEDL-types Ordinal, ...
#include "PrimitiveTypes.h"


// define namespace MDate
namespace MDate
{
	// struct which holds a single date
	typedef struct
	{
		Ordinal Day;
		Ordinal Month;
		Ordinal Year;
	} TDate;


	// initializes a TDate struct with the current date
	void Today(TDate& TheDate);

	// initializes a TDate struct with a specified date
	// !!! does not verify for validity !!!
	void InitDate(TDate& TheDate, Ordinal TheDay, Ordinal TheMonth, Ordinal TheYear);

	// compares two dates
	Boolean EqualValue(const TDate& Date1, const TDate& Date2);

	// copy a date
	Boolean Copy(TDate& Date1, const TDate& Date2);

	// displays a TDate
	void Show(const TDate& TheDate);
};

#endif